Supporting System Query

Hi I am looking into getting Harmony Essentials and I have a mac 10.7.5. This is an old mac I guess so I’m wondering what system does Harmony support? Do I need to update my system and what version is best?

https://www.toonboom.com/products/harmony/system-requirements